# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'RobotMarwinControlCenter.ui'
#
# Created by: PyQt5 UI code generator 5.10.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_RobotMarwinControlCenter(object):
    def setupUi(self, RobotMarwinControlCenter):
        RobotMarwinControlCenter.setObjectName("RobotMarwinControlCenter")
        RobotMarwinControlCenter.resize(903, 801)
        self.centralwidget = QtWidgets.QWidget(RobotMarwinControlCenter)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.tabWidgetMain = QtWidgets.QTabWidget(self.centralwidget)
        self.tabWidgetMain.setObjectName("tabWidgetMain")
        self.tabControl = QtWidgets.QWidget()
        self.tabControl.setObjectName("tabControl")
        self.gridLayoutWidget_5 = QtWidgets.QWidget(self.tabControl)
        self.gridLayoutWidget_5.setGeometry(QtCore.QRect(10, 0, 691, 631))
        self.gridLayoutWidget_5.setObjectName("gridLayoutWidget_5")
        self.gridLayoutTabControl = QtWidgets.QGridLayout(self.gridLayoutWidget_5)
        self.gridLayoutTabControl.setContentsMargins(0, 0, 0, 0)
        self.gridLayoutTabControl.setObjectName("gridLayoutTabControl")
        self.groupBoxMotorControl = QtWidgets.QGroupBox(self.gridLayoutWidget_5)
        self.groupBoxMotorControl.setObjectName("groupBoxMotorControl")
        self.gridLayoutWidget_3 = QtWidgets.QWidget(self.groupBoxMotorControl)
        self.gridLayoutWidget_3.setGeometry(QtCore.QRect(10, 30, 191, 141))
        self.gridLayoutWidget_3.setObjectName("gridLayoutWidget_3")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.gridLayoutWidget_3)
        self.gridLayout_3.setContentsMargins(10, 0, 10, 0)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.pushButtonMotorTurnLeft = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.pushButtonMotorTurnLeft.setObjectName("pushButtonMotorTurnLeft")
        self.gridLayout_3.addWidget(self.pushButtonMotorTurnLeft, 3, 0, 1, 1)
        self.pushButtonMotorForward = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.pushButtonMotorForward.setObjectName("pushButtonMotorForward")
        self.gridLayout_3.addWidget(self.pushButtonMotorForward, 0, 0, 1, 1)
        self.pushButtonMotorBackward = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.pushButtonMotorBackward.setObjectName("pushButtonMotorBackward")
        self.gridLayout_3.addWidget(self.pushButtonMotorBackward, 0, 1, 1, 1)
        self.horizontalSliderSpeed = QtWidgets.QSlider(self.gridLayoutWidget_3)
        self.horizontalSliderSpeed.setMaximum(255)
        self.horizontalSliderSpeed.setProperty("value", 128)
        self.horizontalSliderSpeed.setOrientation(QtCore.Qt.Horizontal)
        self.horizontalSliderSpeed.setObjectName("horizontalSliderSpeed")
        self.gridLayout_3.addWidget(self.horizontalSliderSpeed, 4, 1, 1, 1)
        self.labelSpeed = QtWidgets.QLabel(self.gridLayoutWidget_3)
        self.labelSpeed.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelSpeed.setObjectName("labelSpeed")
        self.gridLayout_3.addWidget(self.labelSpeed, 4, 0, 1, 1)
        self.pushButtonMotorTurnRight = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.pushButtonMotorTurnRight.setObjectName("pushButtonMotorTurnRight")
        self.gridLayout_3.addWidget(self.pushButtonMotorTurnRight, 3, 1, 1, 1)
        self.pushButtonMotorStop = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pushButtonMotorStop.sizePolicy().hasHeightForWidth())
        self.pushButtonMotorStop.setSizePolicy(sizePolicy)
        self.pushButtonMotorStop.setObjectName("pushButtonMotorStop")
        self.gridLayout_3.addWidget(self.pushButtonMotorStop, 1, 0, 1, 1)
        self.checkBoxAutoNorth = QtWidgets.QCheckBox(self.groupBoxMotorControl)
        self.checkBoxAutoNorth.setGeometry(QtCore.QRect(20, 170, 157, 23))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.checkBoxAutoNorth.sizePolicy().hasHeightForWidth())
        self.checkBoxAutoNorth.setSizePolicy(sizePolicy)
        self.checkBoxAutoNorth.setObjectName("checkBoxAutoNorth")
        self.gridLayoutTabControl.addWidget(self.groupBoxMotorControl, 0, 1, 2, 1)
        self.groupBoxConnectionParameters = QtWidgets.QGroupBox(self.gridLayoutWidget_5)
        self.groupBoxConnectionParameters.setAutoFillBackground(False)
        self.groupBoxConnectionParameters.setObjectName("groupBoxConnectionParameters")
        self.gridLayoutWidget = QtWidgets.QWidget(self.groupBoxConnectionParameters)
        self.gridLayoutWidget.setGeometry(QtCore.QRect(10, 40, 225, 59))
        self.gridLayoutWidget.setObjectName("gridLayoutWidget")
        self.gridLayout = QtWidgets.QGridLayout(self.gridLayoutWidget)
        self.gridLayout.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setObjectName("gridLayout")
        self.lineEditIpAddress = QtWidgets.QLineEdit(self.gridLayoutWidget)
        self.lineEditIpAddress.setObjectName("lineEditIpAddress")
        self.gridLayout.addWidget(self.lineEditIpAddress, 0, 1, 1, 1)
        self.labelIpAddress = QtWidgets.QLabel(self.gridLayoutWidget)
        self.labelIpAddress.setObjectName("labelIpAddress")
        self.gridLayout.addWidget(self.labelIpAddress, 0, 0, 1, 1)
        self.labelPort = QtWidgets.QLabel(self.gridLayoutWidget)
        self.labelPort.setObjectName("labelPort")
        self.gridLayout.addWidget(self.labelPort, 1, 0, 1, 1)
        self.spinBoxPort = QtWidgets.QSpinBox(self.gridLayoutWidget)
        self.spinBoxPort.setMaximum(65535)
        self.spinBoxPort.setProperty("value", 4455)
        self.spinBoxPort.setObjectName("spinBoxPort")
        self.gridLayout.addWidget(self.spinBoxPort, 1, 1, 1, 1)
        self.gridLayoutTabControl.addWidget(self.groupBoxConnectionParameters, 0, 0, 1, 1)
        self.groupBoxBattery = QtWidgets.QGroupBox(self.gridLayoutWidget_5)
        self.groupBoxBattery.setObjectName("groupBoxBattery")
        self.labelBatteryVoltage = QtWidgets.QLabel(self.groupBoxBattery)
        self.labelBatteryVoltage.setGeometry(QtCore.QRect(20, 40, 67, 17))
        self.labelBatteryVoltage.setObjectName("labelBatteryVoltage")
        self.gridLayoutTabControl.addWidget(self.groupBoxBattery, 2, 0, 1, 1)
        self.groupBoxMotorEncoders = QtWidgets.QGroupBox(self.gridLayoutWidget_5)
        self.groupBoxMotorEncoders.setObjectName("groupBoxMotorEncoders")
        self.gridLayoutWidget_2 = QtWidgets.QWidget(self.groupBoxMotorEncoders)
        self.gridLayoutWidget_2.setGeometry(QtCore.QRect(10, 30, 240, 80))
        self.gridLayoutWidget_2.setObjectName("gridLayoutWidget_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.gridLayoutWidget_2)
        self.gridLayout_2.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.labelBackLeft = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelBackLeft.setAlignment(QtCore.Qt.AlignCenter)
        self.labelBackLeft.setObjectName("labelBackLeft")
        self.gridLayout_2.addWidget(self.labelBackLeft, 2, 1, 1, 1)
        self.labelFrontRight = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelFrontRight.setAlignment(QtCore.Qt.AlignCenter)
        self.labelFrontRight.setObjectName("labelFrontRight")
        self.gridLayout_2.addWidget(self.labelFrontRight, 1, 2, 1, 1)
        self.labelBack = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelBack.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelBack.setObjectName("labelBack")
        self.gridLayout_2.addWidget(self.labelBack, 2, 0, 1, 1)
        self.labelRight = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelRight.setAlignment(QtCore.Qt.AlignCenter)
        self.labelRight.setObjectName("labelRight")
        self.gridLayout_2.addWidget(self.labelRight, 0, 2, 1, 1)
        self.labelFrontLeft = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelFrontLeft.setAlignment(QtCore.Qt.AlignCenter)
        self.labelFrontLeft.setObjectName("labelFrontLeft")
        self.gridLayout_2.addWidget(self.labelFrontLeft, 1, 1, 1, 1)
        self.labelEmpty = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelEmpty.setText("")
        self.labelEmpty.setObjectName("labelEmpty")
        self.gridLayout_2.addWidget(self.labelEmpty, 0, 0, 1, 1)
        self.labelLeft = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelLeft.setAlignment(QtCore.Qt.AlignCenter)
        self.labelLeft.setObjectName("labelLeft")
        self.gridLayout_2.addWidget(self.labelLeft, 0, 1, 1, 1)
        self.labelBackRight = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelBackRight.setAlignment(QtCore.Qt.AlignCenter)
        self.labelBackRight.setObjectName("labelBackRight")
        self.gridLayout_2.addWidget(self.labelBackRight, 2, 2, 1, 1)
        self.labelFront = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.labelFront.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelFront.setObjectName("labelFront")
        self.gridLayout_2.addWidget(self.labelFront, 1, 0, 1, 1)
        self.gridLayoutTabControl.addWidget(self.groupBoxMotorEncoders, 1, 0, 1, 1)
        self.groupBoxImuInfo = QtWidgets.QGroupBox(self.gridLayoutWidget_5)
        self.groupBoxImuInfo.setObjectName("groupBoxImuInfo")
        self.gridLayoutWidget_4 = QtWidgets.QWidget(self.groupBoxImuInfo)
        self.gridLayoutWidget_4.setGeometry(QtCore.QRect(10, 30, 401, 88))
        self.gridLayoutWidget_4.setObjectName("gridLayoutWidget_4")
        self.gridLayoutImuInfo = QtWidgets.QGridLayout(self.gridLayoutWidget_4)
        self.gridLayoutImuInfo.setContentsMargins(0, 0, 0, 0)
        self.gridLayoutImuInfo.setObjectName("gridLayoutImuInfo")
        self.labelAccelInfo = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelAccelInfo.setObjectName("labelAccelInfo")
        self.gridLayoutImuInfo.addWidget(self.labelAccelInfo, 1, 1, 1, 1)
        self.labelPressureInfoLabel = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelPressureInfoLabel.setObjectName("labelPressureInfoLabel")
        self.gridLayoutImuInfo.addWidget(self.labelPressureInfoLabel, 0, 0, 1, 1)
        self.labelPressureInfo = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelPressureInfo.setObjectName("labelPressureInfo")
        self.gridLayoutImuInfo.addWidget(self.labelPressureInfo, 0, 1, 1, 1)
        self.labelAccelInfoLabel = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelAccelInfoLabel.setObjectName("labelAccelInfoLabel")
        self.gridLayoutImuInfo.addWidget(self.labelAccelInfoLabel, 1, 0, 1, 1)
        self.labelGyroInfoLabel = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelGyroInfoLabel.setObjectName("labelGyroInfoLabel")
        self.gridLayoutImuInfo.addWidget(self.labelGyroInfoLabel, 2, 0, 1, 1)
        self.labelGyroInfo = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelGyroInfo.setObjectName("labelGyroInfo")
        self.gridLayoutImuInfo.addWidget(self.labelGyroInfo, 2, 1, 1, 1)
        self.labelMagInfoLabel = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelMagInfoLabel.setObjectName("labelMagInfoLabel")
        self.gridLayoutImuInfo.addWidget(self.labelMagInfoLabel, 3, 0, 1, 1)
        self.labelMagInfo = QtWidgets.QLabel(self.gridLayoutWidget_4)
        self.labelMagInfo.setObjectName("labelMagInfo")
        self.gridLayoutImuInfo.addWidget(self.labelMagInfo, 3, 1, 1, 1)
        self.gridLayoutTabControl.addWidget(self.groupBoxImuInfo, 2, 1, 1, 1)
        self.textInfo = QtWidgets.QTextBrowser(self.gridLayoutWidget_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.textInfo.sizePolicy().hasHeightForWidth())
        self.textInfo.setSizePolicy(sizePolicy)
        self.textInfo.setObjectName("textInfo")
        self.gridLayoutTabControl.addWidget(self.textInfo, 3, 0, 1, 2)
        self.tabWidgetMain.addTab(self.tabControl, "")
        self.tabPlots = QtWidgets.QWidget()
        self.tabPlots.setObjectName("tabPlots")
        self.verticalLayoutWidget = QtWidgets.QWidget(self.tabPlots)
        self.verticalLayoutWidget.setGeometry(QtCore.QRect(20, 20, 851, 671))
        self.verticalLayoutWidget.setObjectName("verticalLayoutWidget")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.verticalLayoutWidget)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.widgetPlot = MplChart(self.verticalLayoutWidget)
        self.widgetPlot.setMinimumSize(QtCore.QSize(100, 100))
        self.widgetPlot.setAccessibleName("")
        self.widgetPlot.setObjectName("widgetPlot")
        self.verticalLayout_2.addWidget(self.widgetPlot)
        self.tabWidgetMain.addTab(self.tabPlots, "")
        self.verticalLayout.addWidget(self.tabWidgetMain)
        RobotMarwinControlCenter.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(RobotMarwinControlCenter)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 903, 22))
        self.menubar.setObjectName("menubar")
        self.menuFile = QtWidgets.QMenu(self.menubar)
        self.menuFile.setObjectName("menuFile")
        RobotMarwinControlCenter.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(RobotMarwinControlCenter)
        self.statusbar.setObjectName("statusbar")
        RobotMarwinControlCenter.setStatusBar(self.statusbar)
        self.actionQuit = QtWidgets.QAction(RobotMarwinControlCenter)
        self.actionQuit.setObjectName("actionQuit")
        self.menuFile.addAction(self.actionQuit)
        self.menubar.addAction(self.menuFile.menuAction())

        self.retranslateUi(RobotMarwinControlCenter)
        self.tabWidgetMain.setCurrentIndex(0)
        self.actionQuit.triggered.connect(RobotMarwinControlCenter.close)
        QtCore.QMetaObject.connectSlotsByName(RobotMarwinControlCenter)

    def retranslateUi(self, RobotMarwinControlCenter):
        _translate = QtCore.QCoreApplication.translate
        RobotMarwinControlCenter.setWindowTitle(_translate("RobotMarwinControlCenter", "Robot Marwin control center"))
        self.groupBoxMotorControl.setTitle(_translate("RobotMarwinControlCenter", "Motor Control"))
        self.pushButtonMotorTurnLeft.setText(_translate("RobotMarwinControlCenter", "Turn left"))
        self.pushButtonMotorForward.setText(_translate("RobotMarwinControlCenter", "Forward"))
        self.pushButtonMotorBackward.setText(_translate("RobotMarwinControlCenter", "Backward"))
        self.labelSpeed.setText(_translate("RobotMarwinControlCenter", "Speed"))
        self.pushButtonMotorTurnRight.setText(_translate("RobotMarwinControlCenter", "Turn right"))
        self.pushButtonMotorStop.setText(_translate("RobotMarwinControlCenter", "Stop"))
        self.checkBoxAutoNorth.setText(_translate("RobotMarwinControlCenter", "Auto point to north"))
        self.groupBoxConnectionParameters.setTitle(_translate("RobotMarwinControlCenter", "Connection Parameters"))
        self.lineEditIpAddress.setText(_translate("RobotMarwinControlCenter", "192.168.0.104"))
        self.labelIpAddress.setText(_translate("RobotMarwinControlCenter", "IP-address:"))
        self.labelPort.setText(_translate("RobotMarwinControlCenter", "Port:"))
        self.groupBoxBattery.setTitle(_translate("RobotMarwinControlCenter", "Battery"))
        self.labelBatteryVoltage.setText(_translate("RobotMarwinControlCenter", "--- mV"))
        self.groupBoxMotorEncoders.setTitle(_translate("RobotMarwinControlCenter", "Motor Encoders"))
        self.labelBackLeft.setText(_translate("RobotMarwinControlCenter", "---"))
        self.labelFrontRight.setText(_translate("RobotMarwinControlCenter", "---"))
        self.labelBack.setText(_translate("RobotMarwinControlCenter", "Back"))
        self.labelRight.setText(_translate("RobotMarwinControlCenter", "Right"))
        self.labelFrontLeft.setText(_translate("RobotMarwinControlCenter", "---"))
        self.labelLeft.setText(_translate("RobotMarwinControlCenter", "Left"))
        self.labelBackRight.setText(_translate("RobotMarwinControlCenter", "---"))
        self.labelFront.setText(_translate("RobotMarwinControlCenter", "Front"))
        self.groupBoxImuInfo.setTitle(_translate("RobotMarwinControlCenter", "IMU info"))
        self.labelAccelInfo.setText(_translate("RobotMarwinControlCenter", "---"))
        self.labelPressureInfoLabel.setText(_translate("RobotMarwinControlCenter", "Pressure Info:"))
        self.labelPressureInfo.setText(_translate("RobotMarwinControlCenter", "---"))
        self.labelAccelInfoLabel.setText(_translate("RobotMarwinControlCenter", "Accelerometer Info:"))
        self.labelGyroInfoLabel.setText(_translate("RobotMarwinControlCenter", "Gyro Info:"))
        self.labelGyroInfo.setText(_translate("RobotMarwinControlCenter", "---"))
        self.labelMagInfoLabel.setText(_translate("RobotMarwinControlCenter", "Magnetometer Info:"))
        self.labelMagInfo.setText(_translate("RobotMarwinControlCenter", "---"))
        self.tabWidgetMain.setTabText(self.tabWidgetMain.indexOf(self.tabControl), _translate("RobotMarwinControlCenter", "Control"))
        self.tabWidgetMain.setTabText(self.tabWidgetMain.indexOf(self.tabPlots), _translate("RobotMarwinControlCenter", "Plots"))
        self.menuFile.setTitle(_translate("RobotMarwinControlCenter", "File"))
        self.actionQuit.setText(_translate("RobotMarwinControlCenter", "Quit"))

from mplchart import MplChart

if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    RobotMarwinControlCenter = QtWidgets.QMainWindow()
    ui = Ui_RobotMarwinControlCenter()
    ui.setupUi(RobotMarwinControlCenter)
    RobotMarwinControlCenter.show()
    sys.exit(app.exec_())

